curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/SatCertificate",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "0197a365-6c09-7019-b072-6c756008cd2d",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"serialNumber": "00001000000516152485",
"type": "efirma",
"issuer": {
"id-at-commonName": "AUTORIDAD CERTIFICADORA",
"id-at-postalCode": "06300",
"id-at-countryName": "MX",
"id-at-localityName": "CUAUHTEMOC",
"id-at-streetAddress": "AV. HIDALGO 77, COL. GUERRERO",
"id-at-organizationName": "SERVICIO DE ADMINISTRACION TRIBUTARIA",
"id-at-uniqueIdentifier": "SAT970701NN3",
"pkcs-9-at-emailAddress": "contacto.tecnico@sat.gob.mx",
"id-at-stateOrProvinceName": "CIUDAD DE MEXICO",
"pkcs-9-at-unstructuredName": "responsable: ADMINISTRACION CENTRAL DE SERVICIOS TRIBUTARIOS AL CONTRIBUYENTE",
"id-at-organizationalUnitName": "SAT-IES Authority"
},
"subject": {
"id-at-name": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-commonName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-countryName": "MX",
"id-at-serialNumber": "PEIC211118IS0",
"id-at-organizationName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-uniqueIdentifier": "PEGJ850101AA1",
"pkcs-9-at-emailAddress": "juan.perez@example.com"
},
"validFrom": "2022-11-11 19:02:09",
"validTo": "2026-11-11 19:02:49",
"file": {
"type": "sat.certificate.efirma",
"resource": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"mimeType": "application/x-x509-ca-cert",
"extension": "cer",
"filename": "91ab5678-1234-5678-9abc-def012345678-00001000000516152485.cer"
},
"status": "valid",
"revokedAt": "2023-01-01T12:00:00Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"@type": "SatCertificate"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "hydra:IriTemplate",
"hydra:template": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados{?validFrom[before],validFrom[strictly_before],validFrom[after],validFrom[strictly_after],validTo[before],validTo[strictly_before],validTo[after],validTo[strictly_after],order[validFrom],order[validTo],serialNumber,type}",
"hydra:variableRepresentation": "BasicRepresentation",
"hydra:mapping": [
{
"@type": "IriTemplateMapping",
"variable": "validFrom[before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validFrom]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validTo]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "serialNumber",
"property": "serialNumber",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "type",
"property": "type",
"required": false
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}List an entity's SAT certificates
List SAT certificates associated with an entity. These digital certificates are used for electronic signatures and digital sealing in Mexico’s tax system.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000Filter certificates by validity start date (less than or equal <=)
Filter certificates by validity start date (less than <)
Filter certificates by validity start date (greater than or equal >=)
Filter certificates by validity start date (greater than >)
Filter certificates by validity end date (less than or equal <=)
Filter certificates by validity end date (less than <)
Filter certificates by validity end date (greater than or equal >=)
Filter certificates by validity end date (greater than >)
Order certificates by validity start date
asc, desc "asc"
Order certificates by validity end date
asc, desc "asc"
Filter certificates by serial number (supports partial matching)
Filter certificates by type
efirma, csd Response
SAT Certificates
"/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados"
Show child attributes
Show child attributes
Total number of items found
x >= 01
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?